%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	The sources for additional PyGNOME Python extension modules for the GNOME desktop
Name:		gnome-python-desktop
Version:	2.28.0
Release:	1
BuildArch:	i686
License:	GPL/LGPL
Group:		Development/Languages
Source0:	ftp://ftp.gnome.org:/pub/gnome/sources/gnome-python-desktop/2.13/gnome-python-desktop-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires: 		gnome-python
Requires: 		python-abi = %{PYVER}

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: coreutils
BuildRequires: dbus-devel
BuildRequires: evince-devel
BuildRequires: evolution-data-server-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-media-devel
BuildRequires: gnome-panel-libs gnome-panel-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libgnomeprint-devel
BuildRequires: libgnomeprintui-devel
BuildRequires: libgnomeui-devel
BuildRequires: libgtop-devel
BuildRequires: libical-devel
BuildRequires: libICE-devel
BuildRequires: librsvg-devel
BuildRequires: libSM-devel
BuildRequires: libsoup-devel
BuildRequires: libwnck-devel
BuildRequires: libxml2-devel
BuildRequires: nautilus-cd-burner-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: popt-devel
BuildRequires: startup-notification-devel
BuildRequires: totem-pl-parser-devel
BuildRequires: zlib-devel python26-devel gnome-python-devel python26-pygtk-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel libsmbios-devel gstreamer10-devel libgsf-devel libcroco-devel bzip2-devel
BuildRequires: gnome-python-bonobo
BuildRequires: gnome-python-canvas
BuildRequires: gnome-python-devel gnutls-devel libtasn1-devel libgcrypt-devel libgpg-error-devel
BuildRequires: gnome-python-gconf python26-pygtksourceview-devel metacity avahi-devel openssl-devel libXres-devel python26-pygobject-devel


%description
The gnome-python-desktop package contains the source packages for additional 
Python bindings for GNOME. It should be used together with gnome-python.

%package -n	gnome-python-applet
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for GNOME Panel applets.
Group: 		Development/Languages

%description -n gnome-python-applet
This module contains a wrapper that allows GNOME Panel applets to be
written in Python.

%package -n	gnome-python-bugbuddy
Summary: 	Python bindings for interacting with bug-buddy
Group: 		Development/Languages
Requires: 	%{name} = %{version}-%{release}
Requires: 	bug-buddy

%description -n gnome-python-bugbuddy
This module contains a wrapper that allows the use of bug-buddy via
Python.

%package -n	gnome-python-gnomeprint
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for interacting with libgnomeprint
Group: 		Development/Languages
Requires: 	libgnomeprint libgnomeprintui

%description -n gnome-python-gnomeprint
This module contains a wrapper that allows the use of libgnomeprint via
Python.

%package -n	gnome-python-libwnck
Summary: 	Python bindings for interacting with libwnck
Group: 		Development/Languages
Requires:  	libwnck

%description -n gnome-python-libwnck
This module contains a wrapper that allows the use of libwnck via
Python.

%package -n	gnome-python-libgtop
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for interacting with libgtop
Group: 		Development/Languages
Requires:  	libgtop

%description -n gnome-python-libgtop
This module contains a wrapper that allows the use of libgtop via
Python.

%package -n	gnome-python-nautilus-cd-burner
Requires: 	%{name} = %{version}-%{release}
Summary: 	Python bindings for interacting with nautilus-cd-burner
Group: 		Development/Languages
Requires:  	nautilus-cd-burner

%description -n gnome-python-nautilus-cd-burner
This module contains a wrapper that allows the use of nautilus-cd-burner
via Python.

%package -n	gnome-python-totem
Requires: 	%{name} = %{version}-%{release}
Requires:	totem-pl-parser
Summary: 	Python bindings for interacting with totem
Group: 		Development/Languages

%description -n gnome-python-totem
This module contains a wrapper that allows the use of totem
via Python.

%package -n	gnome-python-rsvg
Requires: 	librsvg
Summary: 	Python bindings for interacting with librsvg
Group: 		Development/Languages

%description -n gnome-python-rsvg
This module contains a wrapper that allows the use of librsvg
via Python.

%package -n	gnome-python-gnomedesktop
Requires:	%{name} = %{version}-%{release}
Requires: 	gnome-desktop
Summary: 	Python bindings for interacting with gnome-desktop
Group: 		Development/Languages

%description -n gnome-python-gnomedesktop
This module contains a wrapper that allows the use of gnome-desktop
via Python.

%package -n	gnome-python-gnomekeyring
Requires: 	%{name} = %{version}-%{release}
Requires: 	gnome-keyring
Summary: 	Python bindings for interacting with gnome-keyring
Group: 		Development/Languages

%description -n gnome-python-gnomekeyring
This module contains a wrapper that allows the use of gnome-keyring
via Python.

%package -n	gnome-python-evince
Requires: 	%{name} = %{version}-%{release}
Requires: 	evince
Summary: 	Python bindings for interacting with evince
Group: 		Development/Languages

%description -n gnome-python-evince
This module contains a wrapper that allows the use of evince
via Python.

%package -n	gnome-python-evolution
Requires: 	%{name} = %{version}-%{release}
Requires: 	evolution
Summary: 	Python bindings for interacting with evolution
Group: 		Development/Languages

%description -n gnome-python-evolution
This module contains a wrapper that allows the use of evolution
via Python.

%prep
%setup -q -n gnome-python-desktop-%{version}

%build
%configure PYTHON=/usr/bin/python%{PYVER} 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;
rm -rf $RPM_BUILD_ROOT/%{_libdir}/python%{PYVER}/site-packages/gtk-2.0/gksu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%_pkgconfig/gnome-python-desktop-2.0.pc
%_datadir/pygtk

%files -n gnome-python-applet
%defattr(-,root,root,-)
%dir %_libdir/python%{PYVER}/site-packages/gtk-2.0/gnome/applet.*
%_libdir/python%{PYVER}/site-packages/gtk-2.0/gnomeapplet.so

%files -n gnome-python-bugbuddy
%defattr(-,root,root,-)
%_libdir/python%{PYVER}/site-packages/gtk-2.0/bugbuddy.py*

%files -n gnome-python-gnomeprint
%defattr(-,root,root,-)
%_libdir/python%{PYVER}/site-packages/gtk-2.0/gnomeprint/
%_datadir/gtk-doc/html/pygnomeprint
%_datadir/gtk-doc/html/pygnomeprintui
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/gnomeprint/*

%files -n gnome-python-libwnck
%defattr(-,root,root,-)
%_libdir/python%{PYVER}/site-packages/gtk-2.0/wnck.so

%files -n gnome-python-libgtop
%defattr(-,root,root,-)
%_libdir/python%{PYVER}/site-packages/gtk-2.0/gtop.so

%files -n gnome-python-nautilus-cd-burner
%defattr(-,root,root,-)
%_libdir/python%{PYVER}/site-packages/gtk-2.0/nautilusburn.so
%defattr(644,root,root,755)
%doc ../gnome-python-desktop-%{version}/examples/nautilusburn/*

%files -n gnome-python-totem
%defattr(-,root,root,-)
%_libdir/python%{PYVER}/site-packages/gtk-2.0/mediaprofiles.so
%_libdir/python%{PYVER}/site-packages/gtk-2.0/totem

%files -n gnome-python-rsvg
%_libdir/python%{PYVER}/site-packages/gtk-2.0/rsvg.so

%files -n gnome-python-gnomedesktop
%_libdir/python%{PYVER}/site-packages/gtk-2.0/gnomedesktop

%files -n gnome-python-gnomekeyring
%_libdir/python%{PYVER}/site-packages/gtk-2.0/gnomekeyring.so

%files -n gnome-python-evince
%_libdir/python%{PYVER}/site-packages/gtk-2.0/evince.so

%files -n gnome-python-evolution
%_libdir/python%{PYVER}/site-packages/gtk-2.0/evolution

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.0-1
- Version update
* Fri Apr 03 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.0-4
- rebuild, fixing dependency
* Tue Mar 25 2008 Christian Wasem <wasem@ccux-linux.de> 2.20.0-3
- rebuild, fixed dependency of gnome-python-totem subpackage
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-2
- rebuild without gtksourceview
* Sun Sep 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-2
- Small bugfix in naming scheme
* Fri Mar 23 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Thu Nov 23 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.1-1
- Initial release
